Summary: A PPP connection load monitor for KDE.
Name: kpppload 
Version: 1.04
Release: 30
Source: ftp://ftp.interpath.net/pub/linuxberg/files/kde/network/%{name}-%{version}.tar.gz
Patch: kpppload-1.04-kde2.patch
License: GPL
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: kdelibs >= 2.2
BuildPrereq: qt-devel >= 2.2, kdelibs-devel >= 2.2, XFree86-devel
Prefix: /usr
ExcludeArch: s390 s390x

%description
KPPPLoad is a PPP connection load monitor which works with KDE's
session management. KPPPLoad resembles xload.

%prep
%setup -q
%patch -p1 -b .kde2

# the package comes with bad dependencies!
find . -name \*.o | xargs rm -f
find . -name \*.moc | xargs rm -f
find . -name .deps | xargs rm -fr

%build
QTDIR="" && . /etc/profile.d/qt.sh

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" CFLAGS="$CXXFLAGS" \
./configure --prefix=%{prefix}

make clean
make

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=$RPM_BUILD_ROOT%{prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/*
%{prefix}/share/applnk/Internet/*
%{prefix}/share/doc/HTML/en/kpppload/*
%{prefix}/share/icons/kpppload.xpm
%{prefix}/share/icons/mini/kpppload.xpm

%changelog
* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.04-29
- Rebuild against new kdelibs, don't require kdesupport

* Mon Jun 25 2001 Than Ngo <than@redhat.com> 1.04-28
- fix dependency problem

* Sun Jun 24 2001 Than Ngo <than@redhat.com> 1.04-27
- rebuild against kde-2.1.x

* Wed Jun 20 2001 Than Ngo <than@redhat.com>
- fix standard-dir-owned-by-package bug
- cleanup specfile

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Fri Apr 27 2001 Bill Nottingham <notting@redhat.com>
- rebuild for C++ exception handling on ia64

* Wed Feb 28 2001 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get rid of libkdefakes.so.0 requirement

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Port to KDE2

* Sun Dec 10 2000 Than Ngo <than@redhat.com>
- rebuild with the new  kde1-compat
- remove excludearch ia64

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use konfigure instead of hardcoding moc paths

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- set MOC enviroment for qt.1.45 for using
  moc from qt-1.45

* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- rebuilt against the kde1

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-libstdc++

* Mon Jul 17 2000 Than Ngo <than@redhat.de>
- install under /usr/share instead /usr/lib/kde1-compat/share,
  fix dependency problem

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with compat-egcs-c++ 1.1.2
- add BuildPrereq: compat-egcs-c++, kde1-compat-devel
  Requires: kdesupport, kde1-compat
- ExcludeArch: ia64

* Fri Jun 30 2000 Than Ngo <than@redhat.de>
- change prefix to built with kde1-compat

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment, fix docdir

* Thu Jun 02 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0

* Fri Feb 11 2000 Preston Brown <pbrown@redhat.com>
- whoops fix typo

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- .kdelnk not config file

* Fri Feb 04 2000 Preston Brown <pbrown@redhat.com>
- fix htmldir

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild for 6.2
- fix build on alpha/libtool 1.3.4
- fix up download URL

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such.

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- build for new KDE 1.1.2

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- rebuilt against new libstdc++

* Thu Jan 07 1999 Preston Brown <pbrown@redhat.com>
- changed over to use /usr as the root

* Sat Dec 12 1998 Preston Brown <pbrown@redhat.com>
- initial, rather bare RPM adapted to our stringent standards. :)
